%define lib_major       2
%define lib_name        %mklibname xffm %{lib_major}
%define name            xffm
%define iconname      %{name}.png 

# Don't require devel libs
# xffm treats *.so files as runtime libraries
%define _requires_exceptions devel(libdl)\\|devel(libm)\\|devel(libxml2)\\|devel(libz)

Summary: 	Filemanager and SMB network navigator for Xfce
Name: 		%{name}
Version: 	4.3.3.1
Release: 	%mkrel 2
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2 
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	libxfcegui4-plugins
Requires:	xfce-icon-theme
BuildRequires:	dbh-devel
BuildRequires:	xfce-mcs-manager-devel >= 2.4.1
BuildRequires:	xfce-icon-theme
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	ImageMagick
BuildRequires:	chrpath

%description
Xffm is a filemanager and SMB network navigator for Xfce.

%package -n %{lib_name}
Summary:	Libraries for the xffm filemanager
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Libraries for the xffm filemanager.

%package -n %{name}-plugins
Summary:      Plugins for the xffm filemanager
Group:		 Graphical desktop/Xfce
Requires:	xfce-mcs-plugins

%description -n %{name}-plugins
Plugins for the xffm filemanager 


%prep
%setup -q

%build
export WANT_AUTOCONF_2_5=1
./configure --prefix=/usr --libdir=%{_libdir} --sysconfdir=%_sysconfdir/X11 --mandir=%{_mandir} --enable-panel
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# disable rpath
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*

%find_lang %{name}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert plugin-mcs/%{name}_icon.xpm -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert plugin-mcs/%{name}_icon.xpm -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert plugin-mcs/%{name}_icon.xpm -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

# Menu
(cd $RPM_BUILD_ROOT 
cat > .%{_menudir}/%name <<EOF
?package(%name):\
command="%{_bindir}/%{name}"\
icon="%{iconname}"\
title="Xffm"\
longtitle="Xffm is a filemanager and SMB network navigator for XFce."\
needs="x11"\
section="System/File Tools"
EOF
)

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_datadir}/xfce4/xffm/*
# remove unneeded devel files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la $RPM_BUILD_ROOT%{_libdir}/pkgconfig/* \
	$RPM_BUILD_ROOT%{_includedir}/xfce4/%{name}/* \
	$RPM_BUILD_ROOT%{_includedir}/xffm/* \
	$RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.la \
	$RPM_BUILD_ROOT%{_libdir}/xffm/plugins/*.la
 
%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS COPYING AUTHORS
%doc %dir %{_datadir}/xfce4/ 
%doc %{_datadir}/xfce4/doc/* 
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/
%{_datadir}/xffm/ 
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_menudir}/%{name}
%{_mandir}/man1/*
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so

%files -n %{name}-plugins
%defattr(-,root,root)
%dir %{_libdir}/xffm/plugins
%{_libdir}/xffm/plugins/*
 

%changelog
* Thu Sep 01 2005 Marcel Pol <mpol@mandriva.org> 4.3.3.1-2mdk
- require xfce-icon-theme

* Tue Aug 30 2005 Marcel Pol <mpol@mandriva.org> 4.3.3.1-1mdk
- 4.3.3.1
- update filelist

* Thu Jun 09 2005 Marcel Pol <mpol@mandriva.org> 4.3.2.1-2mdk
- %%mkrel
- treat *.so files as libraries
  remove devel package and *.la files

* Tue Jun 07 2005 Lenny Cartier <lenny@mandriva.com> 4.3.2.1-1mdk
- 4.3.2.1

* Wed Mar 23 2005 Charles A Edwards <eslrahc@mandrake.org> 4.3.1.0-1mdk
- 4.3.1.0
- don't use configure marco..breks sanity check
- add plugins pkg

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Fri Nov 19 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-2mdk
- enable panel dnd toolbar

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- increase soname
- update filelist
- require libxfcegui4-plugins

* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-2mdk
- rebuild for new menu

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4
- section in menu

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3 

* Mon Dec 29 2003 Marcel Pol <mpol@mandrake.org> 4.0.2-2mdk
- really disable rpath
- fix iconname in menu

* Tue Dec 23 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- drop sources 1,2 and 3---use ImageMagick to convert included icon
- use makeinstakll_std
- change doc listing

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 4.0.1-3mdk
- fix macros in menu

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- add menu entry

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial mandrake package

